com.amazonaws.services.machinelearning.model

## Class Evaluation

- java.lang.Object
- - com.amazonaws.services.machinelearning.model.Evaluation

All Implemented Interfaces:
  Serializable, Cloneable

    public class Evaluation
    extends Object
    implements Serializable, Cloneable

Represents the output of `GetEvaluation` operation.

The content consists of the detailed metadata and data file information and the current status of the `Evaluation`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Evaluation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Evaluation` `clone()`
`boolean` `equals(Object obj)`
`Long` `getComputeTime()`
`Date` `getCreatedAt()` The time that the `Evaluation` was created.
`String` `getCreatedByIamUser()` The AWS user account that invoked the evaluation.
`String` `getEvaluationDataSourceId()` The ID of the `DataSource` that is used to evaluate the `MLModel`.
`String` `getEvaluationId()` The ID that is assigned to the `Evaluation` at creation.
`Date` `getFinishedAt()`
`String` `getInputDataLocationS3()` The location and name of the data in Amazon Simple Storage Server (Amazon S3) that is used in the evaluation.
`Date` `getLastUpdatedAt()` The time of the most recent edit to the `Evaluation`.
`String` `getMessage()` A description of the most recent details about evaluating the `MLModel`.
`String` `getMLModelId()` The ID of the `MLModel` that is the focus of the evaluation.
`String` `getName()` A user-supplied name or description of the `Evaluation`.
`PerformanceMetrics` `getPerformanceMetrics()` Measurements of how well the `MLModel` performed, using observations referenced by the `DataSource`.
`Date` `getStartedAt()`
`String` `getStatus()` The status of the evaluation.
`int` `hashCode()`
`void` `setComputeTime(Long computeTime)`
`void` `setCreatedAt(Date createdAt)` The time that the `Evaluation` was created.
`void` `setCreatedByIamUser(String createdByIamUser)` The AWS user account that invoked the evaluation.
`void` `setEvaluationDataSourceId(String evaluationDataSourceId)` The ID of the `DataSource` that is used to evaluate the `MLModel`.
`void` `setEvaluationId(String evaluationId)` The ID that is assigned to the `Evaluation` at creation.
`void` `setFinishedAt(Date finishedAt)`
`void` `setInputDataLocationS3(String inputDataLocationS3)` The location and name of the data in Amazon Simple Storage Server (Amazon S3) that is used in the evaluation.
`void` `setLastUpdatedAt(Date lastUpdatedAt)` The time of the most recent edit to the `Evaluation`.
`void` `setMessage(String message)` A description of the most recent details about evaluating the `MLModel`.
`void` `setMLModelId(String mLModelId)` The ID of the `MLModel` that is the focus of the evaluation.
`void` `setName(String name)` A user-supplied name or description of the `Evaluation`.
`void` `setPerformanceMetrics(PerformanceMetrics performanceMetrics)` Measurements of how well the `MLModel` performed, using observations referenced by the `DataSource`.
`void` `setStartedAt(Date startedAt)`
`void` `setStatus(EntityStatus status)` The status of the evaluation.
`void` `setStatus(String status)` The status of the evaluation.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Evaluation` `withComputeTime(Long computeTime)`
`Evaluation` `withCreatedAt(Date createdAt)` The time that the `Evaluation` was created.
`Evaluation` `withCreatedByIamUser(String createdByIamUser)` The AWS user account that invoked the evaluation.
`Evaluation` `withEvaluationDataSourceId(String evaluationDataSourceId)` The ID of the `DataSource` that is used to evaluate the `MLModel`.
`Evaluation` `withEvaluationId(String evaluationId)` The ID that is assigned to the `Evaluation` at creation.
`Evaluation` `withFinishedAt(Date finishedAt)`
`Evaluation` `withInputDataLocationS3(String inputDataLocationS3)` The location and name of the data in Amazon Simple Storage Server (Amazon S3) that is used in the evaluation.
`Evaluation` `withLastUpdatedAt(Date lastUpdatedAt)` The time of the most recent edit to the `Evaluation`.
`Evaluation` `withMessage(String message)` A description of the most recent details about evaluating the `MLModel`.
`Evaluation` `withMLModelId(String mLModelId)` The ID of the `MLModel` that is the focus of the evaluation.
`Evaluation` `withName(String name)` A user-supplied name or description of the `Evaluation`.
`Evaluation` `withPerformanceMetrics(PerformanceMetrics performanceMetrics)` Measurements of how well the `MLModel` performed, using observations referenced by the `DataSource`.
`Evaluation` `withStartedAt(Date startedAt)`
`Evaluation` `withStatus(EntityStatus status)` The status of the evaluation.
`Evaluation` `withStatus(String status)` The status of the evaluation.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Evaluation

    public Evaluation()

### Method Detail

#### setEvaluationId

    public void setEvaluationId(String evaluationId)

The ID that is assigned to the `Evaluation` at creation.

Parameters:
  `evaluationId` - The ID that is assigned to the `Evaluation` at creation.

#### getEvaluationId

    public String getEvaluationId()

The ID that is assigned to the `Evaluation` at creation.

Returns:
  The ID that is assigned to the `Evaluation` at creation.

#### withEvaluationId

    public Evaluation withEvaluationId(String evaluationId)

The ID that is assigned to the `Evaluation` at creation.

Parameters:
  `evaluationId` - The ID that is assigned to the `Evaluation` at creation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMLModelId

    public void setMLModelId(String mLModelId)

The ID of the `MLModel` that is the focus of the evaluation.

Parameters:
  `mLModelId` - The ID of the `MLModel` that is the focus of the evaluation.

#### getMLModelId

    public String getMLModelId()

The ID of the `MLModel` that is the focus of the evaluation.

Returns:
  The ID of the `MLModel` that is the focus of the evaluation.

#### withMLModelId

    public Evaluation withMLModelId(String mLModelId)

The ID of the `MLModel` that is the focus of the evaluation.

Parameters:
  `mLModelId` - The ID of the `MLModel` that is the focus of the evaluation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEvaluationDataSourceId

    public void setEvaluationDataSourceId(String evaluationDataSourceId)

The ID of the `DataSource` that is used to evaluate the `MLModel`.

Parameters:
  `evaluationDataSourceId` - The ID of the `DataSource` that is used to evaluate the `MLModel`.

#### getEvaluationDataSourceId

    public String getEvaluationDataSourceId()

The ID of the `DataSource` that is used to evaluate the `MLModel`.

Returns:
  The ID of the `DataSource` that is used to evaluate the `MLModel`.

#### withEvaluationDataSourceId

    public Evaluation withEvaluationDataSourceId(String evaluationDataSourceId)

The ID of the `DataSource` that is used to evaluate the `MLModel`.

Parameters:
  `evaluationDataSourceId` - The ID of the `DataSource` that is used to evaluate the `MLModel`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInputDataLocationS3

    public void setInputDataLocationS3(String inputDataLocationS3)

The location and name of the data in Amazon Simple Storage Server (Amazon S3) that is used in the evaluation.

Parameters:
  `inputDataLocationS3` - The location and name of the data in Amazon Simple Storage Server (Amazon S3) that is used in the evaluation.

#### getInputDataLocationS3

    public String getInputDataLocationS3()

The location and name of the data in Amazon Simple Storage Server (Amazon S3) that is used in the evaluation.

Returns:
  The location and name of the data in Amazon Simple Storage Server (Amazon S3) that is used in the evaluation.

#### withInputDataLocationS3

    public Evaluation withInputDataLocationS3(String inputDataLocationS3)

The location and name of the data in Amazon Simple Storage Server (Amazon S3) that is used in the evaluation.

Parameters:
  `inputDataLocationS3` - The location and name of the data in Amazon Simple Storage Server (Amazon S3) that is used in the evaluation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreatedByIamUser

    public void setCreatedByIamUser(String createdByIamUser)

The AWS user account that invoked the evaluation. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

Parameters:
  `createdByIamUser` - The AWS user account that invoked the evaluation. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

#### getCreatedByIamUser

    public String getCreatedByIamUser()

The AWS user account that invoked the evaluation. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

Returns:
  The AWS user account that invoked the evaluation. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

#### withCreatedByIamUser

    public Evaluation withCreatedByIamUser(String createdByIamUser)

The AWS user account that invoked the evaluation. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

Parameters:
  `createdByIamUser` - The AWS user account that invoked the evaluation. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreatedAt

    public void setCreatedAt(Date createdAt)

The time that the `Evaluation` was created. The time is expressed in epoch time.

Parameters:
  `createdAt` - The time that the `Evaluation` was created. The time is expressed in epoch time.

#### getCreatedAt

    public Date getCreatedAt()

The time that the `Evaluation` was created. The time is expressed in epoch time.

Returns:
  The time that the `Evaluation` was created. The time is expressed in epoch time.

#### withCreatedAt

    public Evaluation withCreatedAt(Date createdAt)

The time that the `Evaluation` was created. The time is expressed in epoch time.

Parameters:
  `createdAt` - The time that the `Evaluation` was created. The time is expressed in epoch time.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLastUpdatedAt

    public void setLastUpdatedAt(Date lastUpdatedAt)

The time of the most recent edit to the `Evaluation`. The time is expressed in epoch time.

Parameters:
  `lastUpdatedAt` - The time of the most recent edit to the `Evaluation`. The time is expressed in epoch time.

#### getLastUpdatedAt

    public Date getLastUpdatedAt()

The time of the most recent edit to the `Evaluation`. The time is expressed in epoch time.

Returns:
  The time of the most recent edit to the `Evaluation`. The time is expressed in epoch time.

#### withLastUpdatedAt

    public Evaluation withLastUpdatedAt(Date lastUpdatedAt)

The time of the most recent edit to the `Evaluation`. The time is expressed in epoch time.

Parameters:
  `lastUpdatedAt` - The time of the most recent edit to the `Evaluation`. The time is expressed in epoch time.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setName

    public void setName(String name)

A user-supplied name or description of the `Evaluation`.

Parameters:
  `name` - A user-supplied name or description of the `Evaluation`.

#### getName

    public String getName()

A user-supplied name or description of the `Evaluation`.

Returns:
  A user-supplied name or description of the `Evaluation`.

#### withName

    public Evaluation withName(String name)

A user-supplied name or description of the `Evaluation`.

Parameters:
  `name` - A user-supplied name or description of the `Evaluation`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The status of the evaluation. This element can have one of the following values:

- `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to evaluate an `MLModel`.
- `INPROGRESS` - The evaluation is underway.
- `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
- `COMPLETED` - The evaluation process completed successfully.
- `DELETED` - The `Evaluation` is marked as deleted. It is not usable.

Parameters:
  `status` - The status of the evaluation. This element can have one of the following values:
  - `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to evaluate an `MLModel`.
  - `INPROGRESS` - The evaluation is underway.
  - `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
  - `COMPLETED` - The evaluation process completed successfully.
  - `DELETED` - The `Evaluation` is marked as deleted. It is not usable.
See Also:
  `EntityStatus`

#### getStatus

    public String getStatus()

The status of the evaluation. This element can have one of the following values:

- `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to evaluate an `MLModel`.
- `INPROGRESS` - The evaluation is underway.
- `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
- `COMPLETED` - The evaluation process completed successfully.
- `DELETED` - The `Evaluation` is marked as deleted. It is not usable.

Returns:
  The status of the evaluation. This element can have one of the following values:
  - `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to evaluate an `MLModel`.
  - `INPROGRESS` - The evaluation is underway.
  - `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
  - `COMPLETED` - The evaluation process completed successfully.
  - `DELETED` - The `Evaluation` is marked as deleted. It is not usable.
See Also:
  `EntityStatus`

#### withStatus

    public Evaluation withStatus(String status)

The status of the evaluation. This element can have one of the following values:

- `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to evaluate an `MLModel`.
- `INPROGRESS` - The evaluation is underway.
- `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
- `COMPLETED` - The evaluation process completed successfully.
- `DELETED` - The `Evaluation` is marked as deleted. It is not usable.

Parameters:
  `status` - The status of the evaluation. This element can have one of the following values:
  - `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to evaluate an `MLModel`.
  - `INPROGRESS` - The evaluation is underway.
  - `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
  - `COMPLETED` - The evaluation process completed successfully.
  - `DELETED` - The `Evaluation` is marked as deleted. It is not usable.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EntityStatus`

#### setStatus

    public void setStatus(EntityStatus status)

The status of the evaluation. This element can have one of the following values:

- `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to evaluate an `MLModel`.
- `INPROGRESS` - The evaluation is underway.
- `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
- `COMPLETED` - The evaluation process completed successfully.
- `DELETED` - The `Evaluation` is marked as deleted. It is not usable.

Parameters:
  `status` - The status of the evaluation. This element can have one of the following values:
  - `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to evaluate an `MLModel`.
  - `INPROGRESS` - The evaluation is underway.
  - `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
  - `COMPLETED` - The evaluation process completed successfully.
  - `DELETED` - The `Evaluation` is marked as deleted. It is not usable.
See Also:
  `EntityStatus`

#### withStatus

    public Evaluation withStatus(EntityStatus status)

The status of the evaluation. This element can have one of the following values:

- `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to evaluate an `MLModel`.
- `INPROGRESS` - The evaluation is underway.
- `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
- `COMPLETED` - The evaluation process completed successfully.
- `DELETED` - The `Evaluation` is marked as deleted. It is not usable.

Parameters:
  `status` - The status of the evaluation. This element can have one of the following values:
  - `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to evaluate an `MLModel`.
  - `INPROGRESS` - The evaluation is underway.
  - `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
  - `COMPLETED` - The evaluation process completed successfully.
  - `DELETED` - The `Evaluation` is marked as deleted. It is not usable.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EntityStatus`

#### setPerformanceMetrics

    public void setPerformanceMetrics(PerformanceMetrics performanceMetrics)

Measurements of how well the `MLModel` performed, using observations referenced by the `DataSource`. One of the following metrics is returned, based on the type of the `MLModel`:

- BinaryAUC: A binary `MLModel` uses the Area Under the Curve (AUC) technique to measure performance.

- RegressionRMSE: A regression `MLModel` uses the Root Mean Square Error (RMSE) technique to measure performance. RMSE measures the difference between predicted and actual values for a single variable.

- MulticlassAvgFScore: A multiclass `MLModel` uses the F1 score technique to measure performance.

For more information about performance metrics, please see the Amazon Machine Learning Developer Guide.

Parameters:
  `performanceMetrics` - Measurements of how well the `MLModel` performed, using observations referenced by the `DataSource`. One of the following metrics is returned, based on the type of the `MLModel`:

  - BinaryAUC: A binary `MLModel` uses the Area Under the Curve (AUC) technique to measure performance.

  - RegressionRMSE: A regression `MLModel` uses the Root Mean Square Error (RMSE) technique to measure performance. RMSE measures the difference between predicted and actual values for a single variable.

  - MulticlassAvgFScore: A multiclass `MLModel` uses the F1 score technique to measure performance.

  For more information about performance metrics, please see the Amazon Machine Learning Developer Guide.

#### getPerformanceMetrics

    public PerformanceMetrics getPerformanceMetrics()

Measurements of how well the `MLModel` performed, using observations referenced by the `DataSource`. One of the following metrics is returned, based on the type of the `MLModel`:

- BinaryAUC: A binary `MLModel` uses the Area Under the Curve (AUC) technique to measure performance.

- RegressionRMSE: A regression `MLModel` uses the Root Mean Square Error (RMSE) technique to measure performance. RMSE measures the difference between predicted and actual values for a single variable.

- MulticlassAvgFScore: A multiclass `MLModel` uses the F1 score technique to measure performance.

For more information about performance metrics, please see the Amazon Machine Learning Developer Guide.

Returns:
  Measurements of how well the `MLModel` performed, using observations referenced by the `DataSource`. One of the following metrics is returned, based on the type of the `MLModel`:

  - BinaryAUC: A binary `MLModel` uses the Area Under the Curve (AUC) technique to measure performance.

  - RegressionRMSE: A regression `MLModel` uses the Root Mean Square Error (RMSE) technique to measure performance. RMSE measures the difference between predicted and actual values for a single variable.

  - MulticlassAvgFScore: A multiclass `MLModel` uses the F1 score technique to measure performance.

  For more information about performance metrics, please see the Amazon Machine Learning Developer Guide.

#### withPerformanceMetrics

    public Evaluation withPerformanceMetrics(PerformanceMetrics performanceMetrics)

Measurements of how well the `MLModel` performed, using observations referenced by the `DataSource`. One of the following metrics is returned, based on the type of the `MLModel`:

- BinaryAUC: A binary `MLModel` uses the Area Under the Curve (AUC) technique to measure performance.

- RegressionRMSE: A regression `MLModel` uses the Root Mean Square Error (RMSE) technique to measure performance. RMSE measures the difference between predicted and actual values for a single variable.

- MulticlassAvgFScore: A multiclass `MLModel` uses the F1 score technique to measure performance.

For more information about performance metrics, please see the Amazon Machine Learning Developer Guide.

Parameters:
  `performanceMetrics` - Measurements of how well the `MLModel` performed, using observations referenced by the `DataSource`. One of the following metrics is returned, based on the type of the `MLModel`:

  - BinaryAUC: A binary `MLModel` uses the Area Under the Curve (AUC) technique to measure performance.

  - RegressionRMSE: A regression `MLModel` uses the Root Mean Square Error (RMSE) technique to measure performance. RMSE measures the difference between predicted and actual values for a single variable.

  - MulticlassAvgFScore: A multiclass `MLModel` uses the F1 score technique to measure performance.

  For more information about performance metrics, please see the Amazon Machine Learning Developer Guide.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMessage

    public void setMessage(String message)

A description of the most recent details about evaluating the `MLModel`.

Parameters:
  `message` - A description of the most recent details about evaluating the `MLModel`.

#### getMessage

    public String getMessage()

A description of the most recent details about evaluating the `MLModel`.

Returns:
  A description of the most recent details about evaluating the `MLModel`.

#### withMessage

    public Evaluation withMessage(String message)

A description of the most recent details about evaluating the `MLModel`.

Parameters:
  `message` - A description of the most recent details about evaluating the `MLModel`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setComputeTime

    public void setComputeTime(Long computeTime)

Parameters:
  `computeTime` -

#### getComputeTime

    public Long getComputeTime()

Returns:

#### withComputeTime

    public Evaluation withComputeTime(Long computeTime)

Parameters:
  `computeTime` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFinishedAt

    public void setFinishedAt(Date finishedAt)

Parameters:
  `finishedAt` -

#### getFinishedAt

    public Date getFinishedAt()

Returns:

#### withFinishedAt

    public Evaluation withFinishedAt(Date finishedAt)

Parameters:
  `finishedAt` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedAt

    public void setStartedAt(Date startedAt)

Parameters:
  `startedAt` -

#### getStartedAt

    public Date getStartedAt()

Returns:

#### withStartedAt

    public Evaluation withStartedAt(Date startedAt)

Parameters:
  `startedAt` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Evaluation clone()

Overrides:
  `clone` in class `Object`